MCP Tools Reference: paydeveloper.googleapis.com

ツール: search_documentation

Google Pay と Google ウォレットの公式デベロッパー ドキュメントとコードサンプルから、最も関連性の高い最新のセクションを検索して取得します。

次のサンプルは、curl を使用して search_documentation MCP ツールを呼び出す方法を示しています。

Curl リクエスト
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "search_documentation",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

入力スキーマ

ドキュメントの検索のリクエスト メッセージ。

SearchDocumentationRequest

JSON 表現
{
  "userQuery": string,
  "languageCode": string
}
フィールド
userQuery

string

省略可。検索するクエリ。

languageCode

string

省略可。検索クエリの IETF BCP-47 言語コード。

出力スキーマ

ドキュメントの検索に対するレスポンス メッセージ。

SearchDocumentationResponse

JSON 表現
{
  "results": [
    {
      object (DocumentChunk)
    }
  ]
}
フィールド
results[]

object (DocumentChunk)

検索クエリに一致するドキュメント チャンク。ユーザーのクエリとチャンクの内容の類似性を評価する関連性スコアを使用して並べ替えられます。

DocumentChunk

JSON 表現
{
  "title": string,
  "uri": string,
  "content": string
}
フィールド
title

string

チャンクが属するドキュメントのタイトルを指定します。

uri

string

チャンクが属するドキュメントの URI を指定します。

content

string

チャンクのコンテンツが含まれます。

ツールのアノテーション

破壊的ヒント: ❌ | べき等ヒント: ✅ | 読み取り専用ヒント: ✅ | オープン ワールド ヒント: ❌